activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher L. Shannon (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQ-6268) activemq broker cannot start
Date Thu, 28 Apr 2016 13:49:13 GMT

    [ https://issues.apache.org/jira/browse/AMQ-6268?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15262153#comment-15262153
] 

Christopher L. Shannon commented on AMQ-6268:
---------------------------------------------

[~davsclaus],

It looks like the xbean-spring-3.18 dependency has an OSGI import for Spring 3.x and not Spring
4.x.  I believe Camel uses this dependency as well, how did you get around that when using
Spring 4.x ?  There probably needs to be a new release done for xbean-spring but that project
looks like there isn't much activity going on.

> activemq broker cannot start
> ----------------------------
>
>                 Key: AMQ-6268
>                 URL: https://issues.apache.org/jira/browse/AMQ-6268
>             Project: ActiveMQ
>          Issue Type: Bug
>          Components: activemq-camel
>    Affects Versions: 5.13.2
>         Environment: karaf 4.x, camel 2.17.0, activemq 5.13.2
>            Reporter: Alexandre Cartapanis
>
> On karaf 4.x plateform, with camel 2.17.0 and activemq 5.13.2 features, installs feature
activemq-camel and then installs activemq-broker-noweb. The broker fails to start with error
java.lang.ClassNotFoundException: org.apache.xbean.spring.context.v2.XBeanNamespaceHandler
not found by org.apache.activemq.activemq-osgi.
> This is not happening with camel 2.16.3
> This is not happening either if activemq-camel is not installed.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message